GZDoom 2.1.0 and 1.9.0 released

News about GZDoom.

Moderator: Graf Zahl

User avatar
Graf Zahl
GZDoom Developer
GZDoom Developer
Posts: 7148
Joined: Wed Jul 20, 2005 9:48
Location: Germany
Contact:

GZDoom 2.1.0 and 1.9.0 released

Post by Graf Zahl » Sat Feb 06, 2016 9:01

Here's the new versions that coincide with ZDoom 2.8.0. Actually, these have one bug less that was fixed shortly after the ZDoom release.
Last edited by Graf Zahl on Sat Feb 06, 2016 9:27, edited 1 time in total.

User avatar
Rachael
Developer
Developer
Posts: 3604
Joined: Sat May 13, 2006 10:30

Re: GZDoom 2.1.0 and 1.9.0 (not yet) released

Post by Rachael » Sat Feb 06, 2016 9:18

No worries about the delayed release, thank you for doing this, as always. :)
Spoiler: Zen Sarcasm

User avatar
Tiger
Developer
Developer
Posts: 856
Joined: Thu Feb 25, 2010 3:44
Location: United States

Re: GZDoom 2.1.0 and 1.9.0 released

Post by Tiger » Sat Feb 06, 2016 9:33

Thank you for continued work on this engine! :D
Nicholas "Tiger" Gautier

_mental_
Developer
Developer
Posts: 254
Joined: Sun Aug 07, 2011 13:36

Re: GZDoom 2.1.0 and 1.9.0 released

Post by _mental_ » Sat Feb 06, 2016 9:37

Graf Zahl wrote:Actually, these have one bug less that was fixed shortly after the ZDoom release.
I guess it's about Heretic's time bomb issue. Will you update tags in git?

User avatar
Graf Zahl
GZDoom Developer
GZDoom Developer
Posts: 7148
Joined: Wed Jul 20, 2005 9:48
Location: Germany
Contact:

Re: GZDoom 2.1.0 and 1.9.0 released

Post by Graf Zahl » Sat Feb 06, 2016 10:15

Sure. I always forget to check the 'push tags' option.

Amph
Posts: 1
Joined: Sun Feb 07, 2016 19:48

Re: GZDoom 2.1.0 and 1.9.0 released

Post by Amph » Mon Feb 08, 2016 8:35

hi, i've tried the 2.1 build, but i dunno if it is the high resolution(1440p) all i'm getting is a black screen, when i set up the high resolution in-game

l_johan_k
Posts: 11
Joined: Thu Feb 11, 2016 15:12

Re: GZDoom 2.1.0 and 1.9.0 released

Post by l_johan_k » Thu Feb 11, 2016 15:17

Hi!

I am using GZDoom 2.1.0-1 on Ubuntu 15.10 (64-bit).
When I try to load Project_Brutality_2.03.pk3 I get the following error:
JPEG failure: Wrong JPEG library version: library is 80, caller expects 62
terminate called after throwing an instance of 'int'
I have no problems loading brutalv20b.pk3.

Anyone who can help me with this problem?

regards,
ljohank

User avatar
Graf Zahl
GZDoom Developer
GZDoom Developer
Posts: 7148
Joined: Wed Jul 20, 2005 9:48
Location: Germany
Contact:

Re: GZDoom 2.1.0 and 1.9.0 released

Post by Graf Zahl » Thu Feb 11, 2016 23:00

Compile with the jpeg library that comes with the source. This should be settable through CMake.
This error is somewhat strange. Does this mean the library has become incompatible?

l_johan_k
Posts: 11
Joined: Thu Feb 11, 2016 15:12

Re: GZDoom 2.1.0 and 1.9.0 released

Post by l_johan_k » Thu Feb 11, 2016 23:34

Hi,
thank you for the response.

I have just used the drd-team-ppa for the installation (deb http://debian.drdteam.org/).

One option would be that I just went back to version 1.8.7.

However, when I try to install, e.g., gzdoom1_1.8.7-1_amd64.deb 16-Oct-2015 from http://debian.drdteam.org/pool/multiverse/g/gzdoom1/ my system give me the following warning:
Lintian check results for /home/*****/gzdoom1_1.8.7-1_amd64.deb:
E: gzdoom1: maintainer-name-missing DRD Team [admin@maniacsvault.net]
E: gzdoom1: maintainer-address-malformed DRD Team [admin@maniacsvault.net]
Use of uninitialized value $name in pattern match (m//) at /usr/share/perl5/Lintian/Check.pm line 215.
E: gzdoom1: wrong-file-owner-uid-or-gid opt/ 1000/1000
E: gzdoom1: wrong-file-owner-uid-or-gid opt/gzdoom/ 1000/1000
E: gzdoom1: wrong-file-owner-uid-or-gid opt/gzdoom/brightmaps.pk3 1000/1000
E: gzdoom1: wrong-file-owner-uid-or-gid opt/gzdoom/gzdoom 1000/1000
E: gzdoom1: wrong-file-owner-uid-or-gid opt/gzdoom/gzdoom.pk3 1000/1000
E: gzdoom1: wrong-file-owner-uid-or-gid opt/gzdoom/libGLEW.so.1.9 1000/1000
E: gzdoom1: wrong-file-owner-uid-or-gid opt/gzdoom/libfmodex64-4.26.36.so 1000/1000
E: gzdoom1: wrong-file-owner-uid-or-gid opt/gzdoom/liboutput_sdl.so 1000/1000
E: gzdoom1: wrong-file-owner-uid-or-gid opt/gzdoom/lights.pk3 1000/1000
E: gzdoom1: wrong-file-owner-uid-or-gid usr/ 1000/1000
E: gzdoom1: wrong-file-owner-uid-or-gid usr/bin/ 1000/1000
E: gzdoom1: wrong-file-owner-uid-or-gid usr/bin/gzdoom 1000/1000
E: gzdoom1: wrong-file-owner-uid-or-gid usr/share/ 1000/1000
E: gzdoom1: wrong-file-owner-uid-or-gid usr/share/applications/ 1000/1000
E: gzdoom1: wrong-file-owner-uid-or-gid usr/share/applications/gzdoom.desktop 1000/1000
E: gzdoom1: wrong-file-owner-uid-or-gid usr/share/pixmaps/ 1000/1000
E: gzdoom1: wrong-file-owner-uid-or-gid usr/share/pixmaps/gzdoom.png 1000/1000
Is it safe to continue with this installation?

regards,
ljohank

User avatar
Graf Zahl
GZDoom Developer
GZDoom Developer
Posts: 7148
Joined: Wed Jul 20, 2005 9:48
Location: Germany
Contact:

Re: GZDoom 2.1.0 and 1.9.0 released

Post by Graf Zahl » Thu Feb 11, 2016 23:43

I can't help ypu here, these packages were build by Blzut3.

l_johan_k
Posts: 11
Joined: Thu Feb 11, 2016 15:12

Re: GZDoom 2.1.0 and 1.9.0 released

Post by l_johan_k » Fri Feb 12, 2016 0:05

Hi.

I will try to mail him.

regards,
ljohank

Blzut3
Developer
Developer
Posts: 363
Joined: Sun Jan 24, 2010 22:21

Re: GZDoom 2.1.0 and 1.9.0 released

Post by Blzut3 » Fri Feb 12, 2016 5:18

Graf Zahl wrote:Does this mean the library has become incompatible?
Despite being a pretty common library, libjpeg is not an ABI stable library. Lots of distros started pushing libjpeg-turbo which besides being faster actually is ABI compatible.

Some of the distros stopped shipping libjpeg 6.2 so when I saw that libjpeg-turbo8 linked fine I assumed it was working. I'm looking into the issue since from what I recall reading libjpeg-turbo8 should provide compatibility with both ABIs, but I might be wrong.

Edit: Found the error. I was using the wrong header files on the 64-bit builds only. I'll upload new builds tomorrow.

Also my memory was a bit wrong on libjpeg-turbo vs libjpeg, but the point kind of remains: http://www.libjpeg-turbo.org/About/Jpeg-9
l_johan_k wrote:Is it safe to continue with this installation?
Yes. I'll be fixing this as well, but these errors are basically harmless considering what (G)ZDoom does. It's a result of me building the packages as non-root and no one complaining before in the years I've been doing it like that.

l_johan_k
Posts: 11
Joined: Thu Feb 11, 2016 15:12

Re: GZDoom 2.1.0 and 1.9.0 released

Post by l_johan_k » Fri Feb 12, 2016 15:08

Great!
Thank you!

l_johan_k
Posts: 11
Joined: Thu Feb 11, 2016 15:12

Re: GZDoom 2.1.0 and 1.9.0 released

Post by l_johan_k » Fri Feb 12, 2016 17:04

So the new version will be on the http://debian.drdteam.org/ ppa?

Blzut3
Developer
Developer
Posts: 363
Joined: Sun Jan 24, 2010 22:21

Re: GZDoom 2.1.0 and 1.9.0 released

Post by Blzut3 » Sat Feb 13, 2016 4:38

l_johan_k wrote:So the new version will be on the http://debian.drdteam.org/ ppa?
Yes. It should be up now.

Locked

Return to “News”

Who is online

Users browsing this forum: No registered users and 2 guests